OpenTTD Source: FBlitter_32bppOptimized Class Reference

OpenTTD Source 15.3

Public Member Functions
FBlitter_32bppOptimized Class Reference

Factory for the optimised 32 bpp blitter (without palette animation). More...

`#include <32bpp_optimized.hpp>`

Inheritance diagram for FBlitter_32bppOptimized:

## Public Member Functions
std::unique_ptr< Blitter > | CreateInstance () override
| Create an instance of this Blitter-class.
Public Member Functions inherited from BlitterFactory
std::string_view | GetName () const
| Get the long, human readable, name for the Blitter-class.
std::string_view | GetDescription () const
| Get a nice description of the blitter-class.

## Additional Inherited Members
Static Public Member Functions inherited from BlitterFactory
static Blitter * | SelectBlitter (std::string_view name)
| Find the requested blitter and return its class.
static BlitterFactory * | GetBlitterFactory (std::string_view name)
| Get the blitter factory with the given name.
static Blitter * | GetCurrentBlitter ()
| Get the current active blitter (always set by calling SelectBlitter).
static void | GetBlittersInfo (std::back_insert_iterator< std::string > &output_iterator)
| Fill a buffer with information about the blitters.
Protected Member Functions inherited from BlitterFactory
| BlitterFactory (std::string_view name, std::string_view description, bool usable=true)
| Construct the blitter, and register it.
virtual bool | IsUsable () const
| Is the blitter usable with the current drivers and hardware config?

## Detailed Description

Factory for the optimised 32 bpp blitter (without palette animation).

Definition at line 37 of file 32bpp_optimized.hpp.

## Constructor & Destructor Documentation

## ◆ FBlitter_32bppOptimized()

FBlitter_32bppOptimized::FBlitter_32bppOptimized | ( |  | ) |
| inline

Definition at line 39 of file 32bpp_optimized.hpp.

## Member Function Documentation

## ◆ CreateInstance()

std::unique_ptr< Blitter > FBlitter_32bppOptimized::CreateInstance | ( |  | ) |
| inlineoverridevirtual

Create an instance of this Blitter-class.

Implements BlitterFactory.

Definition at line 40 of file 32bpp_optimized.hpp.

The documentation for this class was generated from the following file:

- src/blitter/32bpp_optimized.hpp